List gig role invitations
An invitation round for a gig_role (legacy event_role_invitations in gig language): who was asked, when, and how they responded. invitation_number increments per role.
Query Parameters
- Type: integerlimitmin:0max:200
Page size, 50 by default, 200 at most.
- Type: integeroffsetmin:0
Records to skip.
- Type: stringsort
Comma-separated fields; prefix with
-for descending. Sortable: gig_role_id, staff_member_id, invitation_number, invited_at, email_sent_at, responded_at, response, notes, created_time, last_edited_time, id. Default: -invitation_number. - Type: stringfields
Comma-separated subset of fields to return.
idis always included. - filter[gig
_role _id] Shorthand
filter[gig_role_id]=valuemeans equals. Operators: equals, does_not_equal, is_empty, is_not_empty.- Type: stringFormat: uuid
Shorthand
filter[gig_role_id]=valuemeans equals. Operators: equals, does_not_equal, is_empty, is_not_empty.
- filter[staff
_member _id] Shorthand
filter[staff_member_id]=valuemeans equals. Operators: equals, does_not_equal, is_empty, is_not_empty.- Type: stringFormat: uuid
Shorthand
filter[staff_member_id]=valuemeans equals. Operators: equals, does_not_equal, is_empty, is_not_empty.
- filter[invitation
_number] Shorthand
filter[invitation_number]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.- Type: number
Shorthand
filter[invitation_number]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.
- filter[invited
_at] Shorthand
filter[invited_at]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[invited_at]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[email
_sent _at] Shorthand
filter[email_sent_at]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[email_sent_at]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[responded
_at] Shorthand
filter[responded_at]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[responded_at]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[response]
Shorthand
filter[response]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[response]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[notes]
Shorthand
filter[notes]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[notes]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[created
_time] Shorthand
filter[created_time]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.- Type: stringFormat: date-time
Shorthand
filter[created_time]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.
- filter[last
_edited _time] Shorthand
filter[last_edited_time]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.- Type: stringFormat: date-time
Shorthand
filter[last_edited_time]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.
Responses
- application/json
- application/json
- application/json
- application/json
curl 'https://api.hireorpheus.com/api/v1/gig-role-invitations?limit=50&offset=0&sort=-invitation_number' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"gig_role_id": null,
"staff_member_id": null,
"invitation_number": null,
"invited_at": null,
"email_sent_at": null,
"responded_at": null,
"response": null,
"notes": null,
"created_time": "2026-10-14T08:02:53.594Z",
"last_edited_time": "2026-10-14T08:02:53.594Z"
}
],
"meta": {
"total": 1,
"limit": 1,
"offset": 1
}
}